No color on Gutsy, kubuntu 7.10 [workaround]
Posted by: zabbaskeema ()
Date: August 12, 2007 04:50PM

Hi,

Monocrome is fine.

Colors only gets me 5 tiny and pale lines printed on the sheet.
I compiled the latest (2007-07-18) drivers and reinstalled them.
Deleted printers, recreated, etc.

I verified I do have *DefaultColorMode: Color in my ppd file.

I restarted cupsys, rebooted, etc...

Would you need specific logs or info?

BR,

Patrick



Edited 5 time(s). Last edit at 10/15/2007 09:27PM by rickrich.

Re: No color on Gutsy, kubuntu 7.10
Posted by: v8comp ()
Date: October 04, 2007 09:38PM

Hi

I have the same issue, it worked fine under Kubuntu Feisty and since the upgrade I have this issue. I have noticed that any pages print fine in monochrome mode. The strange thing is that images seem to print fine in colour mode (good quality too), but not other documents. I can't confirm but it seems to be any document that uses fonts fails to print, with only the five dotted horizontal lines - even 'echo "test" | lpr' fails!

Gutsy has cups 1.3.2 and ghostscript 8.61 (svn release).

I downloaded the pic-gs854-Qwts.zc file from another thread in this forum and copied it to the raw printer queue with success. Using foo2hp2600-wrapper to create my own files fails with the same output as above using postscript files created on my machine or with other versions of ghostscript that have printed successfully in the past.

I am quite happy to supply log info (haven't found anything useful yet though) and try things out also.

Regards

Karl

Re: No color on Gutsy, kubuntu 7.10
Posted by: v8comp ()
Date: October 05, 2007 06:57PM

I have narrowed the problem down to Ghostscript failing to use well tempered screening. If you remove line 567 '<< /UseWTS true >> setuserparams' from /usr/bin/foo2hp2600-wrapper it prints successfully. The colours are washed out but the quality is still much better than using foo2hp alone as a temporary fix. Still trying to figure out whether it is a ghostscript bug or simply changed behaviour as a result of the gs-gpl and gs-esp merge.

Re: No color on Gutsy, kubuntu 7.10
Posted by: v8comp ()
Date: October 05, 2007 07:22PM

OK, here is a better solution - change line 361 to add the -dMaxBitmap option: 'GSOPTS="-dCOLORSCREEN -dMaxBitmap=500000000 $GSOPTS"' and WTS can stay switched on.

The colours are still washed out though, I think I need to experiment with correction profiles to work with this version of ghostscript...?

Re: No color on Gutsy, kubuntu 7.10
Posted by: v8comp ()
Date: October 05, 2007 07:29PM

Sorry there are no problems with colour either (I just had the wrong settings)! The dMaxBitmap line is the only correction required to get everything working as normal. :-)

Re: No color on Gutsy, kubuntu 7.10
Posted by: rickrich ()
Date: October 07, 2007 01:48AM

Downgrade ghostscript to 8.54. Ubuntu has a BUG with color in ghostscript 8.61...

Sorry, this is why I prefer Fedora.... too many BUGS with Ubuntu....



Edited 1 time(s). Last edit at 10/07/2007 01:49AM by rickrich.

Re: No color on Gutsy, kubuntu 7.10
Posted by: v8comp ()
Date: October 07, 2007 09:46PM

Well I guess we can hardly complain about bugs in a beta :)

No need to downgrade though, everything is working perfectly with that one-line change.

Re: No color on Gutsy, kubuntu 7.10
Posted by: rickrich ()
Date: October 08, 2007 02:02AM

v8comp Wrote:
-------------------------------------------------------
> OK, here is a better solution - change line 361 to
> add the -dMaxBitmap option: 'GSOPTS="-dCOLORSCREEN
> -dMaxBitmap=500000000 $GSOPTS"' and WTS can stay
> switched on.
>
> The colours are still washed out though, I think I
> need to experiment with correction profiles to
> work with this version of ghostscript...?


If WTS on, then colours won't be washed out. Downgrade!!!

Re: No color on Gutsy, kubuntu 7.10
Posted by: v8comp ()
Date: October 08, 2007 11:07PM

rickrich Wrote:
-------------------------------------------------------
>
>
> If WTS on, then colours won't be washed out.
> Downgrade!!!

No the colours aren't washed out, I made a mistake when I said that (other changes I made and shouldn't have) - sorry for any confusion. I'm happy with 8.61, its working just as well as 8.54 was

Re: No color on Gutsy, kubuntu 7.10
Posted by: rickrich ()
Date: October 10, 2007 09:43AM

Did not work for me (8.61).

Bug filed:

http://bugs.ghostscript.com/show_bug.cgi?id=689507

Re: No color on Gutsy, kubuntu 7.10 [bug filed: gs 8.61]
Posted by: rickrich ()
Date: October 10, 2007 01:34PM

------- Additional Comment #3 From Marcos H. Woehrmann 2007-10-10 09:55 -------

I'm not able to duplicate this.

Both gs8.54 and gs8.61 (r8283) produce what appear to me to be identical xxx-01-?.pbm files.

What revision of 8.61 are you running?


------- Additional Comment #4 From Rick Richardson 2007-10-10 09:57 -------

Ubuntu gs 8.61.

Re: No color on Gutsy, kubuntu 7.10 [bug filed: Ubuntu gs 8.60+8.61]
Posted by: rickrich ()
Date: October 11, 2007 11:11AM

------- Additional Comment #20 From Marcos H. Woehrmann 2007-10-11 07:03 -------

I'm now able to reproduce the problem: Ghostscript 8.60 (and later) fails and
Ghostscript 8.54 works.

Re: No color on Gutsy, kubuntu 7.10 [bug filed: Ubuntu gs 8.60+8.61]
Posted by: rickrich ()
Date: October 11, 2007 12:45PM

From Changelog:
2007-10-11      Rick Richardson <rick.richardson@comcast.net>
        * foo2lava-wrapper, foo2hp2600-wrapper, foo2qpdl-wrapper:
            Avoid WTS if gs is 8.60/8.61.

Re: No color on Gutsy, kubuntu 7.10 [bug filed: Ubuntu gs 8.60+8.61]
Posted by: v8comp ()
Date: October 15, 2007 06:14PM

That's strange, I am using the exact same version of gs (Ubuntu 8.61). Note that you have a typo in the original script, the switch is '-dMaxBitmap', not '-dMaxBitMap' (the 'm' is lower case). I stepped through the parts of the script and found exactly what you report here (WTS doesn't work) _unless_ this parameter is added. It's probably still a bug in ghostscript but at least this is a workaround.

Re: No color on Gutsy, kubuntu 7.10 [bug filed: Ubuntu gs 8.60+8.61]
Posted by: rickrich ()
Date: October 15, 2007 09:27PM

From Changelog:
2007-10-15       Rick Richardson <rick.richardson@comcast.net>
        * foo2*-wrapper: WTS works with this workaround:
            GSOPTS="-dCOLORSCREEN -dMaxBitmap=500000000 $GSOPTS"
            So WTS works on 8.54-8.57 AND 8.60-8.61.
        * INSTALL:
            * Well Tempered Screening (WTS) works with ghostscript 8.54-8.60+.
                So if you want BEST COLORS, you'll have to install gs 8.54 or
                better if you don't have it.

            $ gs --version
            8.15.2

            $ wget "http://mirror.cs.wisc.edu/pub/mirrors/ghost/GPL/gs860/ghostscript-8.60.tar.gz";
            $ tar zxf ghostscript-8.60.tar.gz
            $ cd ghostscript-8.60
            $ ./autogen.sh
            $ make
            $ su                            OR $ sudo cp bin/gs /usr/bin/gs.foo
            # cp bin/gs /usr/bin/gs.foo

Sorry, only registered users may post in this forum.
This forum powered by Phorum.